import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
export type ActionRendererParams = {
    actionClick?: (rowData: any) => void;
    actionName?: string;
    appearance?: string;
    dataTestId?: string;
    isDisabled?: (rowData: any) => boolean;
    uniqueFieldName?: string;
};
export declare class ActionRenderer extends FoundationElement implements ICellRendererComp {
    params: ICellRendererParams & ActionRendererParams;
    pendingAction: boolean;
    init(params: ICellRendererParams & ActionRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: ICellRendererParams): boolean;
    isDisabled(data: any): boolean;
    clickHandler(): Promise<void>;
    get dataTestId(): string;
}
export declare const actionHeightMultiplier: import("@microsoft/fast-foundation").CSSDesignToken<string>;
export declare const agActionRendererStyles: import("@microsoft/fast-element").ElementStyles;
export declare const foundationGridProActionRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<ActionRenderer, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<ActionRenderer, any>;
}, typeof ActionRenderer>;
//# sourceMappingURL=action.renderer.d.ts.map