import { formatDateTimestamp, formatDateTimeTimestamp } from '@genesislcap/foundation-utils';
export function getFilterByFieldType(type) {
    switch (type) {
        default:
            return 'agTextColumnFilter';
    }
}
export function getColumnType(metadataType) {
    switch (metadataType === null || metadataType === void 0 ? void 0 : metadataType.toLowerCase()) {
        case 'int':
        case 'long':
        case 'double':
        case 'bigdecimal':
        case 'number':
            return 'numericColumn';
    }
}
export function getFilterParamsByFieldType(type) {
    switch (type) {
        default: {
            return {
                suppressAndOrCondition: true,
                filterOptions: [
                    'contains',
                ],
            };
        }
    }
}
export function dateValueFormatter({ value }) {
    return formatDateTimestamp(value);
}
export function dateTimeValueFormatter({ value }) {
    return formatDateTimeTimestamp(value);
}
const isoDateTimeSliceEnd = 19;
export function formatDateExtra(epoch) {
    return new Date(epoch)
        .toISOString()
        .slice(0, isoDateTimeSliceEnd)
        .replace(/-/g, '')
        .replace('T', '-');
}
export const DEBOUNCED_RESIZE_TIME = 5;
